Bug 963884

Summary: Virt-who must be run on a RHEL machine
Product: Red Hat Enterprise Linux 7 Reporter: Amanda Carter <acarter>
Component: DocumentationAssignee: Deon Ballard <dlackey>
Status: CLOSED CURRENTRELEASE QA Contact: ecs-bugs
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.0CC: bkearney, lnovich, mstead
Target Milestone: rcKeywords: Documentation
Target Release: 7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 977338 (view as bug list) Environment:
Last Closed: 2014-01-06 17:56:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 977338, 1014343    

Description Amanda Carter 2013-05-16 17:42:32 UTC
Description of problem:

The subscription management 1.0 guide states that virt-who should be installed on VCenter for VMWare users, but I'm pretty sure that's incorrect as I understand that it must be run on a RHEL machine.

See 5.3.6.2. Installing virt-who for VMWare

https://access.redhat.com/site/documentation/en-US/Red_Hat_Subscription_Management/1.0/html/Subscription_Management_Guide/registering-machine-ui.html

Comment 1 Michael Stead 2013-05-23 12:58:42 UTC
Correct. virt-who must run on a machine that is capable of registering to candlepin, as it requires a valid identity cert to communicate with candlepin. Therefore, it must be able to run subscription-manager to do so.

virt-who must then be configured to talk to VCenter in order to fetch its host/guest mappings to send to candlepin.